# Markets

Markets related endpoints

## Get recommended markets

> Returns personalized market recommendations.\
> \
> Retrieves the available markets for the given \`event ids\` and ranks them\
> based on the given \`user\`'s preferences.\
> \
> {% hint style="info" %}\
> \
> \## Invalid or new user\
> \
> \
> If the given user is invalid or has no betting history then the popular\
> markets for the given events will be returned.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Multiple event ids\
> \
> \
> You can specify multiple event ids to get recommended markets in a single\
> request.\
> \
> If an id is invalid or no markets are found then an empty list will\
> be returned as its markets.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Confidence\
> \
> \
> Each returned item is associated with a number from 0 to 1 indicating the confidence\
> of the system in this specific recommendation. The higher the number the more confident\
> the recommendation of it.\
> \
> {% endhint %}\ <br>

```json
{"openapi":"3.0.1","info":{"title":"","version":"0.1.0"},"tags":[{"description":"Markets related endpoints","name":"Markets"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"RecommendedMarket":{"additionalProperties":false,"description":"A recommended market object","properties":{"event_id":{"description":"The event id","type":"string"},"markets":{"description":"The recommended markets of the event","items":{"properties":{"children":{"anyOf":[{"description":"Last category's items","items":{"properties":{"bet_offer_id":{"description":"The event specific market id","nullable":true,"type":"string"},"count":{"description":"How many bets are placed on the market","type":"integer"},"market":{"description":"The market's name","nullable":true,"type":"string"},"market_id":{"description":"The `market`'s id","nullable":true,"type":"number"},"market_type":{"description":"The market's type","nullable":true,"type":"string"},"market_type_id":{"description":"The `market_type`'s id","nullable":true,"type":"number"},"outcome":{"description":"The selection's outcome","nullable":true,"type":"string"},"outcome_id":{"description":"The `outcome`'s id","nullable":true,"type":"number"},"period":{"description":"The selection's period","nullable":true,"type":"string"},"period_id":{"description":"The `period`'s id","nullable":true,"type":"number"},"quote":{"description":"The selection's quote","type":"number"},"quote_group":{"description":"The group the quote belongs to","type":"string"},"selection_id":{"description":"The market selection id","type":"string"},"side":{"description":"The side of the market, back or lay (exchange only)","type":"string"},"uof_external_id":{"description":"The external market id","nullable":true,"type":"string"}},"type":"object"},"type":"array"},{"description":"Next category's `data`","items":{"additionalProperties":false,"description":"A market object","properties":{"market_object":{"description":"The market object","type":"object"}},"type":"object"},"type":"array"}],"description":"A list containing the next category's `data`,\nor in case of the last category, its items.\n"},"confidence":{"description":"Confidence score, the highest the value the more confident\nthe recommendation of the market\n","type":"number"},"id":{"description":"The `name`'s id","nullable":true,"type":"string"},"name":{"anyOf":[{"description":"The recommended `type`'s value","nullable":true,"type":"string"},{"description":"The recommended `type`'s value","nullable":true,"type":"integer"}]},"type":{"description":"The market category","type":"string"}},"type":"object"},"type":"array"}},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/markets/recommended":{"get":{"description":"Returns personalized market recommendations.\n\nRetrieves the available markets for the given `event ids` and ranks them\nbased on the given `user`'s preferences.\n\n{% hint style=\"info\" %}\n\n## Invalid or new user\n\n\nIf the given user is invalid or has no betting history then the popular\nmarkets for the given events will be returned.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Multiple event ids\n\n\nYou can specify multiple event ids to get recommended markets in a single\nrequest.\n\nIf an id is invalid or no markets are found then an empty list will\nbe returned as its markets.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Confidence\n\n\nEach returned item is associated with a number from 0 to 1 indicating the confidence\nof the system in this specific recommendation. The higher the number the more confident\nthe recommendation of it.\n\n{% endhint %}\n\n","operationId":"get_recommended_markets","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"Number of markets to return.","in":"query","name":"count","required":false,"schema":{"default":25,"minimum":1,"type":"integer"}},{"description":"Optional filtering of the markets to retrieve. It expects a string\nadhering to the filtering format, as described in the filtering\nsection, e.g. `market_type:eq:1X2`.\n","in":"query","name":"filters","required":false,"schema":{"enum":["market","market_id","market_type","market_type_id","outcome","outcome_id","status","market_group_status","trade_status","trade_market_status","quote"],"type":"string"}},{"description":"The event id(s) to get markets for.\nComma separated list in case of multiple event ids.\n","in":"query","name":"event_ids","required":true,"schema":{"type":"string"}},{"description":"The user to get recommended markets for.","in":"query","name":"user","required":true,"schema":{"type":"string"}},{"description":"The operator to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored.\n","in":"query","name":"operator","required":false,"schema":{"type":"string"}},{"description":"The bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`sub_bookmaker_id` parameter.\n","in":"query","name":"bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The sub-bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`bookmaker_id` parameter.\n","in":"query","name":"sub_bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The location of the page where the request takes place.\n","in":"query","name":"location","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"description":"Array of objects","items":{"$ref":"#/components/schemas/RecommendedMarket"},"type":"array"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Entity"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Get recommended markets","tags":["Markets"]}}}}
```

## Get popular markets

> Returns popular markets.\
> \
> Retrieves the popular markets for the given \`event ids\`.\
> \
> {% hint style="info" %}\
> \
> \## Multiple event ids\
> \
> \
> You can specify multiple event ids to get popular markets in a single\
> request.\
> \
> If an id is invalid or no markets are found then an empty list will\
> be returned as its markets.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Confidence\
> \
> \
> Each returned item is associated with a number from 0 to 1 indicating the confidence\
> of the system in this specific popularity. The higher the number the more popular the item.\
> \
> {% endhint %}\ <br>

```json
{"openapi":"3.0.1","info":{"title":"","version":"0.1.0"},"tags":[{"description":"Markets related endpoints","name":"Markets"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"PopularMarket":{"additionalProperties":false,"description":"A popular market object","properties":{"event_id":{"description":"The event id","type":"string"},"markets":{"description":"The popular markets of the event","items":{"properties":{"children":{"anyOf":[{"description":"Last category's items","items":{"properties":{"bet_offer_id":{"description":"The event specific market id","nullable":true,"type":"string"},"count":{"description":"How many bets are placed on the market","type":"integer"},"market":{"description":"The market's name","nullable":true,"type":"string"},"market_id":{"description":"The `market`'s id","nullable":true,"type":"number"},"market_type":{"description":"The market's type","nullable":true,"type":"string"},"market_type_id":{"description":"The `market_type`'s id","nullable":true,"type":"number"},"outcome":{"description":"The selection's outcome","nullable":true,"type":"string"},"outcome_id":{"description":"The `outcome`'s id","nullable":true,"type":"number"},"period":{"description":"The selection's period","nullable":true,"type":"string"},"period_id":{"description":"The `period`'s id","nullable":true,"type":"number"},"quote":{"description":"The selection's quote","type":"number"},"quote_group":{"description":"The group the quote belongs to","type":"string"},"selection_id":{"description":"The market selection id","type":"string"},"side":{"description":"The side of the market, back or lay (exchange only)","type":"string"},"uof_external_id":{"description":"The external market id","nullable":true,"type":"string"}},"type":"object"},"type":"array"},{"description":"Next category's `data`","items":{"additionalProperties":false,"description":"A market object","properties":{"market_object":{"description":"The market object","type":"object"}},"type":"object"},"type":"array"}],"description":"A list containing the next category's `data`,\nor in case of the last category, its items.\n"},"confidence":{"description":"Confidence score, the highest the more popular the market.\n","type":"number"},"id":{"description":"The `name`'s id","nullable":true,"type":"string"},"name":{"anyOf":[{"description":"The recommended `type`'s value","nullable":true,"type":"string"},{"description":"The recommended `type`'s value","nullable":true,"type":"integer"}]},"type":{"description":"The market category","type":"string"}},"type":"object"},"type":"array"}},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/markets/popular":{"get":{"description":"Returns popular markets.\n\nRetrieves the popular markets for the given `event ids`.\n\n{% hint style=\"info\" %}\n\n## Multiple event ids\n\n\nYou can specify multiple event ids to get popular markets in a single\nrequest.\n\nIf an id is invalid or no markets are found then an empty list will\nbe returned as its markets.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Confidence\n\n\nEach returned item is associated with a number from 0 to 1 indicating the confidence\nof the system in this specific popularity. The higher the number the more popular the item.\n\n{% endhint %}\n\n","operationId":"get_popular_markets","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"Number of markets to return.","in":"query","name":"count","required":false,"schema":{"default":25,"minimum":1,"type":"integer"}},{"description":"Optional filtering of the markets to retrieve. It expects a string\nadhering to the filtering format, as described in the filtering\nsection, e.g. `market_type:eq:1X2`.\n","in":"query","name":"filters","required":false,"schema":{"enum":["market","market_id","market_type","market_type_id","outcome","outcome_id","status","market_group_status","trade_status","trade_market_status","quote"],"type":"string"}},{"description":"The event id(s) to get markets for.\nComma separated list in case of multiple event ids.\n","in":"query","name":"event_ids","required":true,"schema":{"type":"string"}},{"description":"The operator to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored.\n","in":"query","name":"operator","required":false,"schema":{"type":"string"}},{"description":"The bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`sub_bookmaker_id` parameter.\n","in":"query","name":"bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The sub-bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`bookmaker_id` parameter.\n","in":"query","name":"sub_bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The location of the page where the request takes place.\n","in":"query","name":"location","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"description":"Array of objects","items":{"$ref":"#/components/schemas/PopularMarket"},"type":"array"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Entity"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Get popular markets","tags":["Markets"]}}}}
```

## Get trending markets

> Returns trending markets for the given \`event ids\`.\
> \
> Retrieves the trending markets for the given \`event\`.\
> \
> {% hint style="info" %}\
> \
> \## Multiple event ids\
> \
> \
> You can specify multiple event ids to get trending markets in a single\
> request.\
> \
> If an id is invalid or no markets are found then an empty list will\
> be returned as its markets.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Confidence\
> \
> \
> Each returned item is associated with a number from 0 to 1 indicating the confidence\
> of the system in this specific trending. The higher the number the more trending the item.\
> \
> {% endhint %}\ <br>

```json
{"openapi":"3.0.1","info":{"title":"","version":"0.1.0"},"tags":[{"description":"Markets related endpoints","name":"Markets"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TrendingMarket":{"additionalProperties":false,"description":"A trending market object","properties":{"event_id":{"description":"The event id","type":"string"},"markets":{"description":"The trending markets of the event","items":{"properties":{"children":{"anyOf":[{"description":"Last category's items","items":{"properties":{"bet_offer_id":{"description":"The event specific market id","nullable":true,"type":"string"},"count":{"description":"How many bets are placed on the market","type":"integer"},"market":{"description":"The market's name","nullable":true,"type":"string"},"market_id":{"description":"The `market`'s id","nullable":true,"type":"number"},"market_type":{"description":"The market's type","nullable":true,"type":"string"},"market_type_id":{"description":"The `market_type`'s id","nullable":true,"type":"number"},"outcome":{"description":"The selection's outcome","nullable":true,"type":"string"},"outcome_id":{"description":"The `outcome`'s id","nullable":true,"type":"number"},"period":{"description":"The selection's period","nullable":true,"type":"string"},"period_id":{"description":"The `period`'s id","nullable":true,"type":"number"},"quote":{"description":"The selection's quote","type":"number"},"quote_group":{"description":"The group the quote belongs to","type":"string"},"selection_id":{"description":"The market selection id","type":"string"},"side":{"description":"The side of the market, back or lay (exchange only)","type":"string"},"uof_external_id":{"description":"The external market id","nullable":true,"type":"string"}},"type":"object"},"type":"array"},{"description":"Next category's `data`","items":{"additionalProperties":false,"description":"A market object","properties":{"market_object":{"description":"The market object","type":"object"}},"type":"object"},"type":"array"}],"description":"A list containing the next category's `data`,\nor in case of the last category, its items.\n"},"confidence":{"description":"Confidence score, the highest the more trending the market.\n","type":"number"},"id":{"description":"The `name`'s id","nullable":true,"type":"string"},"name":{"anyOf":[{"description":"The recommended `type`'s value","nullable":true,"type":"string"},{"description":"The recommended `type`'s value","nullable":true,"type":"integer"}]},"type":{"description":"The market category","type":"string"}},"type":"object"},"type":"array"}},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/markets/trending":{"get":{"description":"Returns trending markets for the given `event ids`.\n\nRetrieves the trending markets for the given `event`.\n\n{% hint style=\"info\" %}\n\n## Multiple event ids\n\n\nYou can specify multiple event ids to get trending markets in a single\nrequest.\n\nIf an id is invalid or no markets are found then an empty list will\nbe returned as its markets.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Confidence\n\n\nEach returned item is associated with a number from 0 to 1 indicating the confidence\nof the system in this specific trending. The higher the number the more trending the item.\n\n{% endhint %}\n\n","operationId":"get_trending_markets","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"Number of markets to return.","in":"query","name":"count","required":false,"schema":{"default":25,"minimum":1,"type":"integer"}},{"description":"Optional filtering of the markets to retrieve. It expects a string\nadhering to the filtering format, as described in the filtering\nsection, e.g. `market_type:eq:1X2`.\n","in":"query","name":"filters","required":false,"schema":{"enum":["market","market_id","market_type","market_type_id","outcome","outcome_id","status","market_group_status","trade_status","trade_market_status","quote"],"type":"string"}},{"description":"The event id(s) to get markets for.\nComma separated list in case of multiple event ids.\n","in":"query","name":"event_ids","required":true,"schema":{"type":"string"}},{"description":"The operator to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored.\n","in":"query","name":"operator","required":false,"schema":{"type":"string"}},{"description":"The bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`sub_bookmaker_id` parameter.\n","in":"query","name":"bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The sub-bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`bookmaker_id` parameter.\n","in":"query","name":"sub_bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The location of the page where the request takes place.\n","in":"query","name":"location","required":false,"schema":{"type":"string"}},{"description":"Considers bets placed after the current timestamp minus the given\nminutes/hours/days. If not set defaults to `2 days`.\nThe value must be in range [1m - 7d].\n","in":"query","name":"trending_within","required":false,"schema":{"default":"2d","pattern":"^[+-]?[0-9]+([.][0-9]+)?[smhd]?$","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"description":"Array of objects","items":{"$ref":"#/components/schemas/TrendingMarket"},"type":"array"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Entity"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Get trending markets","tags":["Markets"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/personalization/api-reference/sports/markets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
